<?php
/************************************************************************/
/* ATutor																*/
/************************************************************************/
/* Copyright (c) 2002 - 2013                                            */
/* ATutorSpaces                                                         */
/* https://atutorspaces.com                                             */
/* This program is free software. You can redistribute it and/or        */
/* modify it under the terms of the GNU General Public License          */
/* as published by the Free Software Foundation.                        */
/************************************************************************/

if (!defined('AT_INCLUDE_PATH')) { exit; }

/**
* Collects purchase information for PayPal -
* @access  public
* @param   int $payment_id		Payment Identifier generated by ATutor  
* @param   dbl $amount	the fee for the course
* @param   int $course_id		the numeric identifier for the course being paid for
* @return  $_POST data		Pruchase information sent to Paypal
*/
function paypal_print_form($payment_id, $amount, $course_id) {
	global $_config, $system_courses;
	if($_config['ec_gateway'] == 'PayPal'){
?>

		<form action="<?php echo $_config['ec_uri']; ?>" method="post">
			<input type="hidden" name="cmd" value="_xclick"/>
			<input type="hidden" name="business" value="<?php echo $_config['ec_vendor_id']; ?>"/>
			<input type="hidden" name="item_name" value="<?php echo htmlspecialchars($system_courses[$course_id]['title']); ?>"/>
			<input type="hidden" name="item_number" value="<?php echo $payment_id; ?>"/>
			<input type="hidden" name="amount" value="<?php echo $amount; ?>"/>
			<input type="hidden" name="page_style" value="Primary"/>
			<input type="hidden" name="notify_url" value="<?php echo AT_BASE_HREF; ?>mods/payments/response_ipn.php"/>
			<input type="hidden" name="no_shipping" value="0"/>
			<input type="hidden" name="return" value="<?php echo AT_BASE_HREF; ?>mods/payments/response_paypal_user.php"/>
			<input type="hidden" name="cancel_return" value="<?php echo AT_BASE_HREF; ?>mods/payments/response_paypal_user.php"/>
			<input type="hidden" name="no_note" value="1"/>
			<input type="hidden" name="currency_code" value="<?php echo $_config['ec_currency']; ?>"/>
			<input type="hidden" name="lc" value="CA"/>
			<input type="submit" border="0" name="submit" value="<?php echo _AT('ec_paybypaypal'); ?>"/>
			<img src="<?php echo $_base_path; ?>mods/payments/images/visa_42x27.gif" title="<?php echo _AT('ec_acceptvisa'); ?>" alt="<?php echo _AT('ec_acceptvisa'); ?>" align="middle" /> <img src="<?php echo $_base_path; ?>mods/payments/images/mc_42x27.gif" title="<?php echo _AT('ec_acceptmastercard'); ?>" alt="<?php echo _AT('ec_acceptmastercard'); ?>" align="middle" />
		</form>
	
	<?php
	}
}

function paypal_authenticate_user_response() {
	//don't do anything
}

/**
* Collects purchase information for MiraPay -
* @access  public
* @param   int $payment_id		Payment Identifier generated by ATutor  
* @param   dbl $amount	the fee for the course
* @param   int $course_id		the numeric identifier for the course being paid for
* @return  $_POST data		Purchase information sent to MiraPay
*/
function mirapay_print_form($payment_id, $amount, $course_id) {
	global $_config;
	if($_config['ec_gateway'] == 'MiraPay'){
		$mkey = md5($payment_id.$amount.$_config['ec_password']);
	?>
		<form method="post" action="<?php echo $_config['ec_uri']; ?>">
			<input type="hidden" name="MTID"        value="<?php echo $payment_id; ?>"/>
			<input type="hidden" name="Merchant_ID" value="<?php echo $_config['ec_vendor_id']; ?>"/>
			<input type="hidden" name="MKEY"        value="<?php echo $mkey; ?>"/>
			<input type="hidden" name="Amount1"     value="<?php echo $amount; ?>"/>
			<input type="hidden" name="SuccessURL"  value="<?php echo AT_BASE_HREF; ?>mods/payments/response_user.php"/>
			<input type="hidden" name="FailURL"     value="<?php echo AT_BASE_HREF; ?>mods/payments/response_user.php"/>
			<input type="hidden" name="Currency"    value="<?php echo $_config['ec_currency'];  ?>"/>
			<input type="submit" name="confirm" class="button" value="<?php echo _AT('ec_paybycredit'); ?>"/> 
			<img src="<?php echo $_base_path; ?>mods/payments/images/visa_42x27.gif" title="<?php echo _AT('ec_acceptvisa'); ?>" alt="<?php echo _AT('ec_acceptvisa'); ?>" align="middle" /> <img src="<?php echo $_base_path; ?>mods/payments/images/mc_42x27.gif" title="<?php echo _AT('ec_acceptmastercard'); ?>" alt="<?php echo _AT('ec_acceptmastercard'); ?>" align="middle" />
		</form>
	<?php
	}
}

function mirapay_authenticate_ipn() {
	// nothing to do
}

function mirapay_authenticate_user_response( ) {
	if (isset($_GET['MTID'], $_GET['Amount1'], $_GET['MiraID'], $_GET['Response'])) {
		global $_config, $msg;
		$response_hash = md5($_GET['MTID'] . $_GET['Amount1'] . $_GET['MiraID'] . $_GET['Response'] . $_config['ec_password']);
		if ($response_hash == $_GET['MKEY'] && !strcasecmp($_GET['Response'], 'APPROVED')) {
			approve_payment($_GET['MTID'], $_GET['MiraID']);
			$msg->addFeedback('ACTION_COMPLETED_SUCCESSFULLY');
		} else {
			$msg->addError('EC_PAYMENT_FAILED');
		}
	}
}
/**
* Collects purchase information for BeanStream -
* @access  public
* @param   int $payment_id		Payment Identifier generated by ATutor  
* @param   dbl $amount	the fee for the course
* @param   int $course_id		the numeric identifier for the course being paid for
* @return  $_POST data		Purchase information sent to Beanstream
*/
function beanstream_print_form($payment_id, $amount, $course_id) {

 	global $_config, $db, $addslashes;
	if($_config['ec_gateway'] == 'BeanStream'){
	$mtid = at_insert_id();
	$mkey = md5($mtid.$amount.$password);

	$sql = "SELECT * from %smembers WHERE member_id = %d";
	$row_member = queryDB($sql, array(TABLE_PREFIX, $_SESSION['member_id']));
	
	foreach($row_member as $row){
				$member['firstname'] = $row['first_name'];
				$member['lastname'] = $row['last_name'];
				$member['email'] = $row['email'];
				//$member['organization'] = $row['organization'];
				$member['address'] = $row['address'];
				$member['postal'] = $row['postal'];
				$member['province'] = $row['province'];
				$member['city'] = $row['city'];
				$member['telephone'] = $row['phone'];
				$member['country'] = $row['country'];
			}
	
	$firstname = $addslashes($member['firstname']);
	$lastname = $addslashes( $member['lastname']);
	$email = $addslashes( $member['email']);
	$address = $addslashes($member['address']);
	$postal = $addslashes($member['postal']);
	$telephone = $addslashes($member['telephone']);
	$country = $addslashes($member['country']);
	$province = $addslashes($member['province']);
	$city = $addslashes($member['city']);
	$payment_id = $_SESSION['course_title'];
	
	if(isset($_SESSION['seats_requested'])){
		$this_quantity = $_SESSION['seats_requested'];
	} else {
		$this_quantity = '1';
	}
	
	?>
	<div style="float:left; border:thin solid black; padding:1em; -moz-border-radius:.5em;">
	<form method="post" action="<?php echo $_config['ec_uri']; ?>">
	<!-- stored  for history -->
	<input type="hidden"  name="firstname" value="<?php echo $firstname; ?>">
	<input type="hidden"  name="lastname" value="<?php echo $lastname; ?>">
	<input type="hidden"  name="ordName" value="<?php echo $firstname.' '.$lastname; ?>">
	<input type="hidden"  name="trnCardOwner" value="<?php echo $firstname.' '.$lastname; ?>">

	<input type="hidden"  name="organization" value="<?php echo $organization; ?>">
	
	<?php 

	if($address == ''){
	    $more_info = '<label for="address">'._AT('street_address').'</label>:<br /> <input type="text" value="" size="40" name="ordAddress1" id="address"><br />';
	}else{ ?>
		<input type="hidden"  name="ordAddress1" value="<?php echo $address; ?>">
	<?php }	?>
	
	<?php 
	if($city == ''){
	    $more_info .= '<label for="city">'._AT('city').'</label>:<br /> <input type="text" value="" size="20" name="ordCity" id="city"><br />';
	}else{ ?>
		<input type="hidden"  name="ordCity" value="<?php echo $city; ?>">
	<?php }	?>
	
	<?php 
	    $more_info .= '<label for="provstate">'._AT('ec_province').'</label>:<br /> 
			<select name="ordProvince" id="provstate">	
			<optgroup label="">
			<option value="--">--choose--</option>
			<option value="--">Outside U.S./Canada</option>
			</optgroup>
			<optgroup label="Canadian Provinces">
			<option value="AB">Alberta</option>						
			<option value="BC">British Columbia</option>						
			<option value="MB">Manitoba</option>						
			<option value="NB">New Brunswick</option>
			<option value="NL">Newfoundland and Labrador</option>						
			<option value="NT">Northwest Territories</option>						
			<option value="NS">Nova Scotia</option>						
			<option value="NU">Nunavut</option>						
			<option value="ON">Ontario</option>						
			<option value="Z2">Other</option>						
			<option value="PE">Prince Edward Island</option>						
			<option value="QC">Quebec</option>						
			<option value="SK">Saskatchewan</option>						
			<option value="YT">Yukon</option>
			</optgroup>
			<optgroup label="U.S. States">						
			<option value="AL">Alabama</option>						
			<option value="AK">Alaska</option>						
			<option value="AS">American Samoa</option>
			<option value="AZ">Arizona</option>						
			<option value="AR">Arkansas</option>						
			<option value="CA">California</option>						
			<option value="CO">Colorado</option>					
			<option value="CT">Connecticut</option>						
			<option value="DE">Delaware</option>						
			<option value="DC">District of Columbia</option>						
			<option value="FM">Federated States of Micronesia</option>						
			<option value="FL">Florida</option>						
			<option value="GA">Georgia</option>						
			<option value="GU">Guam</option>						
			<option value="HI">Hawaii</option>						
			<option value="ID">Idaho</option>						
			<option value="IL">Illinois</option>						
			<option value="IN">Indiana</option>						
			<option value="IA">Iowa</option>						
			<option value="KS">Kansas</option>						
			<option value="KY">Kentucky</option>						
			<option value="LA">Louisiana</option>						
			<option value="ME">Maine</option>						
			<option value="MH">Marshall Islands</option>						
			<option value="MD">Maryland</option>						
			<option value="MA">Massachusetts</option>						
			<option value="MI">Michigan</option>						
			<option value="MN">Minnesota</option>						
			<option value="MS">Mississippi</option>						
			<option value="MO">Missouri</option>						
			<option value="MT">Montana</option>						
			<option value="NE">Nebraska</option>						
			<option value="NV">Nevada</option>						
			<option value="NH">New Hampshire</option>						
			<option value="NJ">New Jersey</option>						
			<option value="NM">New Mexico</option>						
			<option value="NY">New York</option>						
			<option value="NC">North Carolina</option>						
			<option value="ND">North Dakota</option>
			<option value="MP">Northern Mariana Islands</option>
			<option value="OH">Ohio</option>
			<option value="OK">Oklahoma</option>						
			<option value="OR">Oregon</option>						
			<option value="Z1">Other</option>						
			<option value="PW">Palau</option>						
			<option value="PA">Pennsylvania</option>						
			<option value="PR">Puerto Rico</option>						
			<option value="RI">Rhode Island</option>						
			<option value="SC">South Carolina</option>						
			<option value="SD">South Dakota</option>						
			<option value="TN">Tennessee</option>						
			<option value="TX">Texas</option>						
			<option value="UT">Utah</option>						
			<option value="VT">Vermont</option>
			<option value="VI">Virgin Islands</option>
			<option value="VA">Virginia</option>						
			<option value="WA">Washington</option>						
			<option value="WV">West Virginia</option>						
			<option value="WI">Wisconsin</option>						
			<option value="WY">Wyoming</option>
			</optgroup>
						
			</select><br />';
	    
		?>

	<?php 
	if($postal == ''){
	    $more_info .= '<label for="postal">'._AT('ec_postal').'</label>:<br /> <input type="text" value="" size="20" name="ordPostalCode" id="postal"><br />';
	}else{ ?>
		<input type="hidden"  name="ordPostalCode" value="<?php echo $postal; ?>">
	<?php }	?>
	
	<?php 
	if($telephone == ''){
	    $more_info .= '<label for="telephone">'._AT('ec_telephone').'</label>:<br /> <input type="text" value="" size="20" name="ordPhoneNumber" id="telephone"><br />';
	}else{ ?>
		<input type="hidden"  name="ordPhoneNumber" value="<?php echo $telephone; ?>">
	<?php }	?>

	<?php 
	    $more_info .= '<label for="country">Country</label>:<br /> 
	    <select name="ordCountry" id="country">
			<option value="">--choose--</option>
			<option value="AF">Afghanistan</option>
			<option value="AL">Albania</option>
			<option value="DZ">Algeria</option>
			<option value="AS">American Samoa</option>
			<option value="AD">Andorra</option>
			<option value="AG">Angola</option>
			<option value="AI">Anguilla</option>
			<option value="AG">Antigua &amp; Barbuda</option>
			<option value="AR">Argentina</option>
			<option value="AA">Armenia</option>
			<option value="AW">Aruba</option>
			<option value="AU">Australia</option>
			<option value="AT">Austria</option>
			<option value="AZ">Azerbaijan</option>
			<option value="BS">Bahamas</option>
			<option value="BH">Bahrain</option>
			<option value="BD">Bangladesh</option>
			<option value="BB">Barbados</option>
			<option value="BY">Belarus</option>
			<option value="BE">Belgium</option>
			<option value="BZ">Belize</option>
			<option value="BJ">Benin</option>
			<option value="BM">Bermuda</option>
			<option value="BT">Bhutan</option>
			<option value="BO">Bolivia</option>
			<option value="BL">Bonaire</option>
			<option value="BA">Bosnia &amp; Herzegovina</option>
			<option value="BW">Botswana</option>
			<option value="BR">Brazil</option>
			<option value="BC">British Indian Ocean Ter</option>
			<option value="BN">Brunei</option>
			<option value="BG">Bulgaria</option>
			<option value="BF">Burkina Faso</option>
			<option value="BI">Burundi</option>
			<option value="KH">Cambodia</option>
			<option value="CM">Cameroon</option>
			<option value="CA">Canada</option>
			<option value="IC">Canary Islands</option>
			<option value="CV">Cape Verde</option>
			<option value="KY">Cayman Islands</option>
			<option value="CF">Central African Republic</option>
			<option value="TD">Chad</option>
			<option value="CD">Channel Islands</option>
			<option value="CL">Chile</option>
			<option value="CN">China</option>
			<option value="CI">Christmas Island</option>
			<option value="CS">Cocos Island</option>
			<option value="CO">Colombia</option>
			<option value="CC">Comoros</option>
			<option value="CG">Congo</option>
			<option value="CK">Cook Islands</option>
			<option value="CR">Costa Rica</option>
			<option value="CT">Cote D\'Ivoire</option>
			<option value="HR">Croatia</option>
			<option value="CU">Cuba</option>
			<option value="CB">Curacao</option>
			<option value="CY">Cyprus</option>
			<option value="CZ">Czech Republic</option>
			<option value="DK">Denmark</option>
			<option value="DJ">Djibouti</option>
			<option value="DM">Dominica</option>
			<option value="DO">Dominican Republic</option>
			<option value="TM">East Timor</option>
			<option value="EC">Ecuador</option>
			<option value="EG">Egypt</option>
			<option value="SV">El Salvador</option>
			<option value="GQ">Equatorial Guinea</option>
			<option value="ER">Eritrea</option>
			<option value="EE">Estonia</option>
			<option value="ET">Ethiopia</option>
			<option value="FA">Falkland Islands</option>
			<option value="FO">Faroe Islands</option>
			<option value="FJ">Fiji</option>
			<option value="FI">Finland</option>
			<option value="FR">France</option>
			<option value="GF">French Guiana</option>
			<option value="PF">French Polynesia</option>
			<option value="FS">French Southern Ter</option>
			<option value="GA">Gabon</option>
			<option value="GM">Gambia</option>
			<option value="GE">Georgia</option>
			<option value="DE">Germany</option>
			<option value="GH">Ghana</option>
			<option value="GI">Gibraltar</option>
			<option value="GB">Great Britain</option>
			<option value="GR">Greece</option>
			<option value="GL">Greenland</option>
			<option value="GD">Grenada</option>
			<option value="GP">Guadeloupe</option>
			<option value="GU">Guam</option>
			<option value="GT">Guatemala</option>
			<option value="GN">Guinea</option>
			<option value="GY">Guyana</option>
			<option value="HT">Haiti</option>
			<option value="HW">Hawaii</option>
			<option value="HN">Honduras</option>
			<option value="HK">Hong Kong</option>
			<option value="HU">Hungary</option>
			<option value="IS">Iceland</option>
			<option value="IN">India</option>
			<option value="ID">Indonesia</option>
			<option value="IA">Iran</option>
			<option value="IQ">Iraq</option>
			<option value="IR">Ireland</option>
			<option value="IM">Isle of Man</option>
			<option value="IL">Israel</option>
			<option value="IT">Italy</option>
			<option value="JM">Jamaica</option>
			<option value="JP">Japan</option>
			<option value="JO">Jordan</option>
			<option value="KZ">Kazakhstan</option>
			<option value="KE">Kenya</option>
			<option value="KI">Kiribati</option>
			<option value="NK">Korea North</option>
			<option value="KS">Korea South</option>
			<option value="KW">Kuwait</option>
			<option value="KG">Kyrgyzstan</option>
			<option value="LA">Laos</option>
			<option value="LV">Latvia</option>
			<option value="LB">Lebanon</option>
			<option value="LS">Lesotho</option>
			<option value="LR">Liberia</option>
			<option value="LY">Libya</option>
			<option value="LI">Liechtenstein</option>
			<option value="LT">Lithuania</option>
			<option value="LU">Luxembourg</option>
			<option value="MO">Macau</option>
			<option value="MK">Macedonia</option>
			<option value="MG">Madagascar</option>
			<option value="MY">Malaysia</option>
			<option value="MW">Malawi</option>
			<option value="MV">Maldives</option>
			<option value="ML">Mali</option>
			<option value="MT">Malta</option>
			<option value="MH">Marshall Islands</option>
			<option value="MQ">Martinique</option>
			<option value="MR">Mauritania</option>
			<option value="MU">Mauritius</option>
			<option value="ME">Mayotte</option>
			<option value="MX">Mexico</option>
			<option value="MI">Midway Islands</option>
			<option value="MD">Moldova</option>
			<option value="MC">Monaco</option>
			<option value="MN">Mongolia</option>
			<option value="MS">Montserrat</option>
			<option value="MA">Morocco</option>
			<option value="MZ">Mozambique</option>
			<option value="MM">Myanmar</option>
			<option value="NA">Nambia</option>
			<option value="NU">Nauru</option>
			<option value="NP">Nepal</option>
			<option value="AN">Netherland Antilles</option>
			<option value="NL">Netherlands (Holland, Europe)</option>
			<option value="NV">Nevis</option>
			<option value="NC">New Caledonia</option>
			<option value="NZ">New Zealand</option>
			<option value="NI">Nicaragua</option>
			<option value="NE">Niger</option>
			<option value="NG">Nigeria</option>
			<option value="NW">Niue</option>
			<option value="NF">Norfolk Island</option>
			<option value="NO">Norway</option>
			<option value="OM">Oman</option>
			<option value="PK">Pakistan</option>
			<option value="PW">Palau Island</option>
			<option value="PS">Palestine</option>
			<option value="PA">Panama</option>
			<option value="PG">Papua New Guinea</option>
			<option value="PY">Paraguay</option>
			<option value="PE">Peru</option>
			<option value="PH">Philippines</option>
			<option value="PO">Pitcairn Island</option>
			<option value="PL">Poland</option>
			<option value="PT">Portugal</option>
			<option value="PR">Puerto Rico</option>
			<option value="QA">Qatar</option>
			<option value="ME">Republic of Montenegro</option>
			<option value="RS">Republic of Serbia</option>
			<option value="RE">Reunion</option>
			<option value="RO">Romania</option>
			<option value="RU">Russia</option>
			<option value="RW">Rwanda</option>
			<option value="NT">St Barthelemy</option>
			<option value="EU">St Eustatius</option>
			<option value="HE">St Helena</option>
			<option value="KN">St Kitts-Nevis</option>
			<option value="LC">St Lucia</option>
			<option value="MB">St Maarten</option>
			<option value="PM">St Pierre &amp; Miquelon</option>
			<option value="VC">St Vincent &amp; Grenadines</option>
			<option value="SP">Saipan</option>
			<option value="SO">Samoa</option>
			<option value="AS">Samoa American</option>
			<option value="SM">San Marino</option>
			<option value="ST">Sao Tome &amp; Principe</option>
			<option value="SA">Saudi Arabia</option>
			<option value="SN">Senegal</option>
			<option value="SC">Seychelles</option>
			<option value="SL">Sierra Leone</option>break;
			<option value="SG">Singapore</option>
			<option value="SK">Slovakia</option>
			<option value="SI">Slovenia</option>
			<option value="SB">Solomon Islands</option>
			<option value="OI">Somalia</option>
			<option value="ZA">South Africa</option>
			<option value="ES">Spain</option>
			<option value="LK">Sri Lanka</option>
			<option value="SD">Sudan</option>
			<option value="SR">Suriname</option>
			<option value="SZ">Swaziland</option>
			<option value="SE">Sweden</option>
			<option value="CH">Switzerland</option>
			<option value="SY">Syria</option>
			<option value="TA">Tahiti</option>
			<option value="TW">Taiwan</option>
			<option value="TJ">Tajikistan</option>
			<option value="TZ">Tanzania</option>
			<option value="TH">Thailand</option>
			<option value="TG">Togo</option>
			<option value="TK">Tokelau</option>
			<option value="TO">Tonga</option>
			<option value="TT">Trinidad &amp; Tobago</option>
			<option value="TN">Tunisia</option>
			<option value="TR">Turkey</option>
			<option value="TU">Turkmenistan</option>
			<option value="TC">Turks &amp; Caicos Is</option>
			<option value="TV">Tuvalu</option>
			<option value="UG">Uganda</option>
			<option value="UA">Ukraine</option>
			<option value="AE">United Arab Emirates</option>
			<option value="GB">United Kingdom</option>
			<option value="US">United States of America</option>
			<option value="UY">Uruguay</option>
			<option value="UZ">Uzbekistan</option>
			<option value="VU">Vanuatu</option>
			<option value="VS">Vatican City State</option>
			<option value="VE">Venezuela</option>
			<option value="VN">Vietnam</option>
			<option value="VB">Virgin Islands (Brit)</option>
			<option value="VA">Virgin Islands (USA)</option>
			<option value="WK">Wake Island</option>
			<option value="WF">Wallis &amp; Futana Is</option>
			<option value="YE">Yemen</option>
			<option value="ZR">Zaire</option>
			<option value="ZM">Zambia</option>
			<option value="ZW">Zimbabwe</option>
			</select><br />
	    
	    <br />';
?>

	<input type="hidden"  name="receipt" value="<?php echo $receipt; ?>">
	<input type="hidden"  name="project" value="<?php echo $project; ?>">
	<input type="hidden"  name="comment" value="<?php echo $comment; ?>">
	<input type="hidden"  name="trnType" value="<?php echo $comment; ?>">
	<input type="hidden"  name="tmp_amount" value="<?php echo $tmp_amount; ?>">
	
	<input type="hidden"  name="trnOrderNumber" value="<?php echo $mtid; ?>">
	<input type="hidden"  name="ref2" value="<?php echo $payment_id; ?>">
	<input type="hidden"  name="ref1" value="<?php echo $invoice_id; ?>">
	<input type="hidden"  name="ref3" value="<?php echo $invoice; ?>">
	<input type="hidden"  name="ref4" value="<?php echo $course_id; ?>">
	<input type="hidden" name="merchant_id" value="<?php echo $_config['ec_vendor_id']; ?>">
	<input type="hidden"  name="MKEY" value="<?php echo $mkey; ?>">
	<input type="hidden"  name="trnAmount" value="<?php echo $amount; ?>">
	
	<input type="hidden" name="approvedPage"  value="<?php echo AT_BASE_HREF; ?>mods/payments/success_beanstream.php"/>
	<input type="hidden" name="declinedPage"     value="<?php echo AT_BASE_HREF; ?>mods/payments/failure_beanstream.php"/>

	
	<input type="hidden"  name="errorPage" value="<?php echo AT_BASE_HREF; ?>mods/payments/error_beanstream.php">
	<input type="hidden"  name="ordEmailAddress" value="<?php echo $email; ?>">
	<?php
	if($more_info != ''){
	  echo _AT('ec_more_info_required');
	  echo $more_info;
	}
	
	?>
	
	
	<label for="cardnum"><?php echo _AT('ec_cc_number'); ?></label>
	<input type="text" name="trnCardNumber" id="cardnum" value="<?php echo $cardnumber; ?>">	<br /><br />
	<label for="expmonth"><?php echo _AT('ec_cc_expiry_month'); ?></label>
	<select name="trnExpMonth" id="expmonth">
	<option value="01"><?php echo _AT('date_jan'); ?></option>
	<option value="02"><?php echo _AT('date_feb'); ?></option>
	<option value="03"><?php echo _AT('date_mar'); ?></option>
	<option value="04"><?php echo _AT('date_apr'); ?></option>
	<option value="05"><?php echo _AT('date_may'); ?></option>
	<option value="06"><?php echo _AT('date_jun'); ?></option>
	<option value="07"><?php echo _AT('date_jul'); ?></option>
	<option value="08"><?php echo _AT('date_aug'); ?></option>
	<option value="09"><?php echo _AT('date_sep'); ?></option>
	<option value="10"><?php echo _AT('date_oct'); ?></option>
	<option value="11"><?php echo _AT('date_nov'); ?></option>
	<option value="12"><?php echo _AT('date_dec'); ?></option>
	</select>
	 <label for="expyear"><?php echo _AT('ec_cc_expiry_year'); ?></label>
	<select name="trnExpYear" id="expyear">


	<option value="14">2014</option>
	<option value="15">2015</option>
	<option value="16">2016</option>
	<option value="17">2017</option>
	<option value="18">2018</option>
	</select><br /><br />
	  <label for="cvd"><?php echo _AT('ec_cc_cvd_number'); ?></label>
	  <input type="test"  name="trnCardCvd" size = "4" value="<?php echo $cvd; ?>"> <small><?php echo _AT('ec_cc_cvd_number'); ?></strong><br /><br />
	

			
			<input type="submit" name="confirm" class="button" value="<?php echo _AT('ec_paybycredit'); ?>"/> 
			<img src="<?php echo $_base_path; ?>mods/payments/images/visa_42x27.gif" title="<?php echo _AT('ec_acceptvisa'); ?>" alt="<?php echo _AT('ec_acceptvisa'); ?>" align="middle" /> <img src="<?php echo $_base_path; ?>mods/payments/images/mc_42x27.gif" title="<?php echo _AT('ec_acceptmastercard'); ?>" alt="<?php echo _AT('ec_acceptmastercard'); ?>" align="middle" />
		</form>
		  
	</div><br style="clear:both;"/>
	<?php

	}
}
/**
* Collects purchase information for BeanStream -
* @access  public
* @param   int $payment_id		Payment Identifier generated by ATutor  
* @param   dbl $amount	the fee for the course
* @param   int $course_id		the numeric identifier for the course being paid for
* @return  $_POST data		Purchase information sent to Moneris Canada
*/
function monerisca_print_form($payment_id, $amount, $course_id) {

 	global $_config, $db, $addslashes, $system_courses;
	if($_config['ec_gateway'] == 'Monerisca'){

	$sql = "SELECT * from %smembers WHERE member_id = %d";
	$result = queryDB($sql, array(TABLE_PREFIX, $_SESSION['member_id']));
	
	foreach($row_member as $row){
				$member['firstname'] = $row['first_name'];
				$member['lastname'] = $row['last_name'];
				$member['email'] = $row['email'];
				$member['organization'] = $row['organization'];
				$member['address'] = $row['address'];
				$member['postal'] = $row['postal'];
				$member['province'] = $row['province'];
				$member['city'] = $row['city'];
				$member['telephone'] = $row['phone'];
				$member['country'] = $row['country'];
			}
	
	$firstname = $addslashes($member['firstname']);
	$lastname = $addslashes( $member['lastname']);
	$email = $addslashes( $member['email']);
	$address = $addslashes($member['address']);
	$postal = $addslashes($member['postal']);
	$telephone = $addslashes($member['telephone']);
	$country = $addslashes($member['country']);
	$province = $addslashes($member['province']);
	$city = $addslashes($member['city']);
	$payment_id = $payment_id;
	
	if(isset($_SESSION['seats_requested'])){
		$this_quantity = $_SESSION['seats_requested'];
	} else {
		$this_quantity = '1';
	}
	?>
	<div style="float:left; border:thin solid black; padding:1em; -moz-border-radius:.5em;">
	<form method="post" action="<?php echo $_config['ec_uri']; ?>">
	<!-- stored  for history -->
		<input type="hidden"  name="ps_store_id" value="<?php echo $_config['ec_vendor_id']; ?>" />
		<input type="hidden"  name="hpp_key" value="<?php echo $_config['ec_password']; ?>" />
		<input type="hidden"  name="description_course" value="<?php echo $system_courses[$course_id]['title']; ?>" />
		<input type="hidden"  name="id_course" value="<?php echo $course_id; ?>" />
		<input type="hidden"  name="price_course" value="<?php echo number_format($amount,2); ?>" />
		<input type="hidden"  name="cust_id" value="<?php echo $_SESSION['member_id']; ?>" />
		<input type="hidden"  name="quantity_course" value="<?php echo $this_quantity; ?>" />
		<input type="hidden"  name="rvar_payment_id" value="<?php echo $payment_id; ?>" />
		<input type="hidden"  name="bill_first_name" value="<?php echo $firstname; ?>" />
		<input type="hidden"  name="bill_last_name" value="<?php echo $lastname; ?>" />
		<input type="hidden"  name="bill_company_name" value="<?php echo $organization; ?>" />
		
	<?php 

	if($address == ''){
	    $more_info = '<label for="address">'._AT('street_address').'</label>:<br /> <input type="text" value="" size="40" name="bill_address_one" id="address" /><br />';
	}else{ ?>
		<input type="hidden"  name="bill_address_one" value="<?php echo $address; ?>" />
	<?php }	?>
	
	<?php 
	if($city == ''){
	    $more_info .= '<label for="city">'._AT('city').'</label>:<br /> <input type="text" value="" size="20" name="bill_city" id="city" /><br />';
	}else{ ?>
		<input type="hidden"  name="bill_city" value="<?php echo $city; ?>" />
	<?php }	?>
	
	<?php 
	    $more_info .= '<label for="provstate">'._AT('ec_province').'</label>:<br /> 
			<select name="bill_state_or_province" id="provstate">	
			<optgroup label="">
			<option value="--">--choose--</option>
			<option value="--">Outside U.S./Canada</option>
			</optgroup>
			<optgroup label="Canadian Provinces">
			<option value="AB">Alberta</option>						
			<option value="BC">British Columbia</option>						
			<option value="MB">Manitoba</option>						
			<option value="NB">New Brunswick</option>
			<option value="NL">Newfoundland and Labrador</option>						
			<option value="NT">Northwest Territories</option>						
			<option value="NS">Nova Scotia</option>						
			<option value="NU">Nunavut</option>						
			<option value="ON">Ontario</option>						
			<option value="Z2">Other</option>						
			<option value="PE">Prince Edward Island</option>						
			<option value="QC">Quebec</option>						
			<option value="SK">Saskatchewan</option>						
			<option value="YT">Yukon</option>
			</optgroup>
			<optgroup label="U.S. States">						
			<option value="AL">Alabama</option>						
			<option value="AK">Alaska</option>						
			<option value="AS">American Samoa</option>
			<option value="AZ">Arizona</option>						
			<option value="AR">Arkansas</option>						
			<option value="CA">California</option>						
			<option value="CO">Colorado</option>					
			<option value="CT">Connecticut</option>						
			<option value="DE">Delaware</option>						
			<option value="DC">District of Columbia</option>						
			<option value="FM">Federated States of Micronesia</option>						
			<option value="FL">Florida</option>						
			<option value="GA">Georgia</option>						
			<option value="GU">Guam</option>						
			<option value="HI">Hawaii</option>						
			<option value="ID">Idaho</option>						
			<option value="IL">Illinois</option>						
			<option value="IN">Indiana</option>						
			<option value="IA">Iowa</option>						
			<option value="KS">Kansas</option>						
			<option value="KY">Kentucky</option>						
			<option value="LA">Louisiana</option>						
			<option value="ME">Maine</option>						
			<option value="MH">Marshall Islands</option>						
			<option value="MD">Maryland</option>						
			<option value="MA">Massachusetts</option>						
			<option value="MI">Michigan</option>						
			<option value="MN">Minnesota</option>						
			<option value="MS">Mississippi</option>						
			<option value="MO">Missouri</option>						
			<option value="MT">Montana</option>						
			<option value="NE">Nebraska</option>						
			<option value="NV">Nevada</option>						
			<option value="NH">New Hampshire</option>						
			<option value="NJ">New Jersey</option>						
			<option value="NM">New Mexico</option>						
			<option value="NY">New York</option>						
			<option value="NC">North Carolina</option>						
			<option value="ND">North Dakota</option>
			<option value="MP">Northern Mariana Islands</option>
			<option value="OH">Ohio</option>
			<option value="OK">Oklahoma</option>						
			<option value="OR">Oregon</option>						
			<option value="Z1">Other</option>						
			<option value="PW">Palau</option>						
			<option value="PA">Pennsylvania</option>						
			<option value="PR">Puerto Rico</option>						
			<option value="RI">Rhode Island</option>						
			<option value="SC">South Carolina</option>						
			<option value="SD">South Dakota</option>						
			<option value="TN">Tennessee</option>						
			<option value="TX">Texas</option>						
			<option value="UT">Utah</option>						
			<option value="VT">Vermont</option>
			<option value="VI">Virgin Islands</option>
			<option value="VA">Virginia</option>						
			<option value="WA">Washington</option>						
			<option value="WV">West Virginia</option>						
			<option value="WI">Wisconsin</option>						
			<option value="WY">Wyoming</option>
			</optgroup>
						
			</select><br />';
	    
		?>

	<?php 
	if($postal == ''){
	    $more_info .= '<label for="postal">'._AT('ec_postal').'</label>:<br /> <input type="text" value="" size="20" name="bill_postal_code" id="postal" /><br />';
	}else{ ?>
		<input type="hidden"  name="bill_postal_code" value="<?php echo $postal; ?>" />
	<?php }	?>
	
	<?php 
	if($telephone == ''){
	    $more_info .= '<label for="telephone">'._AT('ec_telephone').'</label>:<br /> <input type="text" value="" size="20" name="bill_phone" id="telephone" /><br />';
	}else{ ?>
		<input type="hidden"  name="bill_phone" value="<?php echo $telephone; ?>" />
	<?php }	?>

	<?php 
	    $more_info .= '<label for="country">Country</label>:<br /> 
	    <select name="bill_country" id="country">
			<option value="">--choose--</option>
			<option value="AF">Afghanistan</option>
			<option value="AL">Albania</option>
			<option value="DZ">Algeria</option>
			<option value="AS">American Samoa</option>
			<option value="AD">Andorra</option>
			<option value="AG">Angola</option>
			<option value="AI">Anguilla</option>
			<option value="AG">Antigua &amp; Barbuda</option>
			<option value="AR">Argentina</option>
			<option value="AA">Armenia</option>
			<option value="AW">Aruba</option>
			<option value="AU">Australia</option>
			<option value="AT">Austria</option>
			<option value="AZ">Azerbaijan</option>
			<option value="BS">Bahamas</option>
			<option value="BH">Bahrain</option>
			<option value="BD">Bangladesh</option>
			<option value="BB">Barbados</option>
			<option value="BY">Belarus</option>
			<option value="BE">Belgium</option>
			<option value="BZ">Belize</option>
			<option value="BJ">Benin</option>
			<option value="BM">Bermuda</option>
			<option value="BT">Bhutan</option>
			<option value="BO">Bolivia</option>
			<option value="BL">Bonaire</option>
			<option value="BA">Bosnia &amp; Herzegovina</option>
			<option value="BW">Botswana</option>
			<option value="BR">Brazil</option>
			<option value="BC">British Indian Ocean Ter</option>
			<option value="BN">Brunei</option>
			<option value="BG">Bulgaria</option>
			<option value="BF">Burkina Faso</option>
			<option value="BI">Burundi</option>
			<option value="KH">Cambodia</option>
			<option value="CM">Cameroon</option>
			<option value="CA">Canada</option>
			<option value="IC">Canary Islands</option>
			<option value="CV">Cape Verde</option>
			<option value="KY">Cayman Islands</option>
			<option value="CF">Central African Republic</option>
			<option value="TD">Chad</option>
			<option value="CD">Channel Islands</option>
			<option value="CL">Chile</option>
			<option value="CN">China</option>
			<option value="CI">Christmas Island</option>
			<option value="CS">Cocos Island</option>
			<option value="CO">Colombia</option>
			<option value="CC">Comoros</option>
			<option value="CG">Congo</option>
			<option value="CK">Cook Islands</option>
			<option value="CR">Costa Rica</option>
			<option value="CT">Cote D\'Ivoire</option>
			<option value="HR">Croatia</option>
			<option value="CU">Cuba</option>
			<option value="CB">Curacao</option>
			<option value="CY">Cyprus</option>
			<option value="CZ">Czech Republic</option>
			<option value="DK">Denmark</option>
			<option value="DJ">Djibouti</option>
			<option value="DM">Dominica</option>
			<option value="DO">Dominican Republic</option>
			<option value="TM">East Timor</option>
			<option value="EC">Ecuador</option>
			<option value="EG">Egypt</option>
			<option value="SV">El Salvador</option>
			<option value="GQ">Equatorial Guinea</option>
			<option value="ER">Eritrea</option>
			<option value="EE">Estonia</option>
			<option value="ET">Ethiopia</option>
			<option value="FA">Falkland Islands</option>
			<option value="FO">Faroe Islands</option>
			<option value="FJ">Fiji</option>
			<option value="FI">Finland</option>
			<option value="FR">France</option>
			<option value="GF">French Guiana</option>
			<option value="PF">French Polynesia</option>
			<option value="FS">French Southern Ter</option>
			<option value="GA">Gabon</option>
			<option value="GM">Gambia</option>
			<option value="GE">Georgia</option>
			<option value="DE">Germany</option>
			<option value="GH">Ghana</option>
			<option value="GI">Gibraltar</option>
			<option value="GB">Great Britain</option>
			<option value="GR">Greece</option>
			<option value="GL">Greenland</option>
			<option value="GD">Grenada</option>
			<option value="GP">Guadeloupe</option>
			<option value="GU">Guam</option>
			<option value="GT">Guatemala</option>
			<option value="GN">Guinea</option>
			<option value="GY">Guyana</option>
			<option value="HT">Haiti</option>
			<option value="HW">Hawaii</option>
			<option value="HN">Honduras</option>
			<option value="HK">Hong Kong</option>
			<option value="HU">Hungary</option>
			<option value="IS">Iceland</option>
			<option value="IN">India</option>
			<option value="ID">Indonesia</option>
			<option value="IA">Iran</option>
			<option value="IQ">Iraq</option>
			<option value="IR">Ireland</option>
			<option value="IM">Isle of Man</option>
			<option value="IL">Israel</option>
			<option value="IT">Italy</option>
			<option value="JM">Jamaica</option>
			<option value="JP">Japan</option>
			<option value="JO">Jordan</option>
			<option value="KZ">Kazakhstan</option>
			<option value="KE">Kenya</option>
			<option value="KI">Kiribati</option>
			<option value="NK">Korea North</option>
			<option value="KS">Korea South</option>
			<option value="KW">Kuwait</option>
			<option value="KG">Kyrgyzstan</option>
			<option value="LA">Laos</option>
			<option value="LV">Latvia</option>
			<option value="LB">Lebanon</option>
			<option value="LS">Lesotho</option>
			<option value="LR">Liberia</option>
			<option value="LY">Libya</option>
			<option value="LI">Liechtenstein</option>
			<option value="LT">Lithuania</option>
			<option value="LU">Luxembourg</option>
			<option value="MO">Macau</option>
			<option value="MK">Macedonia</option>
			<option value="MG">Madagascar</option>
			<option value="MY">Malaysia</option>
			<option value="MW">Malawi</option>
			<option value="MV">Maldives</option>
			<option value="ML">Mali</option>
			<option value="MT">Malta</option>
			<option value="MH">Marshall Islands</option>
			<option value="MQ">Martinique</option>
			<option value="MR">Mauritania</option>
			<option value="MU">Mauritius</option>
			<option value="ME">Mayotte</option>
			<option value="MX">Mexico</option>
			<option value="MI">Midway Islands</option>
			<option value="MD">Moldova</option>
			<option value="MC">Monaco</option>
			<option value="MN">Mongolia</option>
			<option value="MS">Montserrat</option>
			<option value="MA">Morocco</option>
			<option value="MZ">Mozambique</option>
			<option value="MM">Myanmar</option>
			<option value="NA">Nambia</option>
			<option value="NU">Nauru</option>
			<option value="NP">Nepal</option>
			<option value="AN">Netherland Antilles</option>
			<option value="NL">Netherlands (Holland, Europe)</option>
			<option value="NV">Nevis</option>
			<option value="NC">New Caledonia</option>
			<option value="NZ">New Zealand</option>
			<option value="NI">Nicaragua</option>
			<option value="NE">Niger</option>
			<option value="NG">Nigeria</option>
			<option value="NW">Niue</option>
			<option value="NF">Norfolk Island</option>
			<option value="NO">Norway</option>
			<option value="OM">Oman</option>
			<option value="PK">Pakistan</option>
			<option value="PW">Palau Island</option>
			<option value="PS">Palestine</option>
			<option value="PA">Panama</option>
			<option value="PG">Papua New Guinea</option>
			<option value="PY">Paraguay</option>
			<option value="PE">Peru</option>
			<option value="PH">Philippines</option>
			<option value="PO">Pitcairn Island</option>
			<option value="PL">Poland</option>
			<option value="PT">Portugal</option>
			<option value="PR">Puerto Rico</option>
			<option value="QA">Qatar</option>
			<option value="ME">Republic of Montenegro</option>
			<option value="RS">Republic of Serbia</option>
			<option value="RE">Reunion</option>
			<option value="RO">Romania</option>
			<option value="RU">Russia</option>
			<option value="RW">Rwanda</option>
			<option value="NT">St Barthelemy</option>
			<option value="EU">St Eustatius</option>
			<option value="HE">St Helena</option>
			<option value="KN">St Kitts-Nevis</option>
			<option value="LC">St Lucia</option>
			<option value="MB">St Maarten</option>
			<option value="PM">St Pierre &amp; Miquelon</option>
			<option value="VC">St Vincent &amp; Grenadines</option>
			<option value="SP">Saipan</option>
			<option value="SO">Samoa</option>
			<option value="AS">Samoa American</option>
			<option value="SM">San Marino</option>
			<option value="ST">Sao Tome &amp; Principe</option>
			<option value="SA">Saudi Arabia</option>
			<option value="SN">Senegal</option>
			<option value="SC">Seychelles</option>
			<option value="SL">Sierra Leone</option>break;
			<option value="SG">Singapore</option>
			<option value="SK">Slovakia</option>
			<option value="SI">Slovenia</option>
			<option value="SB">Solomon Islands</option>
			<option value="OI">Somalia</option>
			<option value="ZA">South Africa</option>
			<option value="ES">Spain</option>
			<option value="LK">Sri Lanka</option>
			<option value="SD">Sudan</option>
			<option value="SR">Suriname</option>
			<option value="SZ">Swaziland</option>
			<option value="SE">Sweden</option>
			<option value="CH">Switzerland</option>
			<option value="SY">Syria</option>
			<option value="TA">Tahiti</option>
			<option value="TW">Taiwan</option>
			<option value="TJ">Tajikistan</option>
			<option value="TZ">Tanzania</option>
			<option value="TH">Thailand</option>
			<option value="TG">Togo</option>
			<option value="TK">Tokelau</option>
			<option value="TO">Tonga</option>
			<option value="TT">Trinidad &amp; Tobago</option>
			<option value="TN">Tunisia</option>
			<option value="TR">Turkey</option>
			<option value="TU">Turkmenistan</option>
			<option value="TC">Turks &amp; Caicos Is</option>
			<option value="TV">Tuvalu</option>
			<option value="UG">Uganda</option>
			<option value="UA">Ukraine</option>
			<option value="AE">United Arab Emirates</option>
			<option value="GB">United Kingdom</option>
			<option value="US">United States of America</option>
			<option value="UY">Uruguay</option>
			<option value="UZ">Uzbekistan</option>
			<option value="VU">Vanuatu</option>
			<option value="VS">Vatican City State</option>
			<option value="VE">Venezuela</option>
			<option value="VN">Vietnam</option>
			<option value="VB">Virgin Islands (Brit)</option>
			<option value="VA">Virgin Islands (USA)</option>
			<option value="WK">Wake Island</option>
			<option value="WF">Wallis &amp; Futana Is</option>
			<option value="YE">Yemen</option>
			<option value="ZR">Zaire</option>
			<option value="ZM">Zambia</option>
			<option value="ZW">Zimbabwe</option>
			</select><br />
	    
	    <br />';
?>
	<input type="hidden"  name="rvar_course_id" value="<?php echo $course_id; ?>" />

	<input type="hidden"  name="charge_total" value="<?php echo number_format($amount,2); ?>" />
	
	<input type="hidden"  name="email" value="<?php echo $email; ?>" />
	<?php
	if($more_info != ''){
	  echo _AT('ec_more_info_required');
	  echo $more_info;
	}
	?>
			<input type="submit" name="confirm" class="button" value="<?php echo _AT('ec_paybycredit'); ?>"/> 
			<img src="<?php echo $_base_path; ?>mods/payments/images/visa_42x27.gif" title="<?php echo _AT('ec_acceptvisa'); ?>" alt="<?php echo _AT('ec_acceptvisa'); ?>" align="middle" /> <img src="<?php echo $_base_path; ?>mods/payments/images/mc_42x27.gif" title="<?php echo _AT('ec_acceptmastercard'); ?>" alt="<?php echo _AT('ec_acceptmastercard'); ?>" align="middle" />
		</form>
		  
	</div><br style="clear:both;"/>
	<?php

	}
}

/**
* Collects purchase information for BeanStream -
* @access  public
* @param   int $payment_id		Payment Identifier generated by ATutor  
* @param   dbl $amount	the fee for the course
* @param   int $course_id		the numeric identifier for the course being paid for
* @return  $_POST data		Purchase information sent to Moneris USA
*/
function monerisusa_print_form($payment_id, $amount, $course_id) {

 	global $_config, $db, $addslashes, $system_courses;
	if($_config['ec_gateway'] == 'Monerisusa'){

	$sql = "SELECT * from %smembers WHERE member_id = %d";
	$result = queryDB($sql, array(TABLE_PREFIX, $_SESSION['member_id']));
	
	foreach($row_member as $row){
				$member['firstname'] = $row['first_name'];
				$member['lastname'] = $row['last_name'];
				$member['email'] = $row['email'];
				$member['organization'] = $row['organization'];
				$member['address'] = $row['address'];
				$member['postal'] = $row['postal'];
				$member['province'] = $row['province'];
				$member['city'] = $row['city'];
				$member['telephone'] = $row['phone'];
				$member['country'] = $row['country'];
			}
	
	$firstname = $addslashes($member['firstname']);
	$lastname = $addslashes( $member['lastname']);
	$email = $addslashes( $member['email']);
	$address = $addslashes($member['address']);
	$postal = $addslashes($member['postal']);
	$telephone = $addslashes($member['telephone']);
	$country = $addslashes($member['country']);
	$province = $addslashes($member['province']);
	$city = $addslashes($member['city']);
	$payment_id = $payment_id;

	if(isset($_SESSION['seats_requested'])){
		$this_quantity = $_SESSION['seats_requested'];
	} else {
		$this_quantity = '1';
	}
	
	?>
	<div style="float:left; border:thin solid black; padding:1em; -moz-border-radius:.5em;">
	<form method="post" action="<?php echo $_config['ec_uri']; ?>">
	<!-- stored  for history -->
		<input type="hidden"  name="hpp_id" value="<?php echo $_config['ec_vendor_id']; ?>" />
		<input type="hidden"  name="hpp_key" value="<?php echo $_config['ec_password']; ?>" />
		<input type="hidden"  name="li_description_course" value="<?php echo $system_courses[$course_id]['title']; ?>" />
		<input type="hidden"  name="li_id_course" value="<?php echo $course_id; ?>" />
		<input type="hidden"  name="li_price_course" value="<?php echo number_format($amount,2); ?>" />
		<input type="hidden"  name="cust_id" value="<?php echo $_SESSION['member_id']; ?>" />
		<input type="hidden"  name="li_quantity_course" value="1" />
		<input type="hidden"  name="rvar_payment_id" value="<?php echo $payment_id; ?>" />
		<input type="hidden"  name="od_bill_firstname" value="<?php echo $firstname; ?>" />
		<input type="hidden"  name="od_bill_lastname" value="<?php echo $lastname; ?>" />
		<input type="hidden"  name="od_bill_company" value="<?php echo $organization; ?>" />
		
	<?php 

	if($address == ''){
	    $more_info = '<label for="address">'._AT('street_address').'</label>:<br /> <input type="text" value="" size="40" name="od_bill_address" id="address" /><br />';
	}else{ ?>
		<input type="hidden"  name="od_bill_address" value="<?php echo $address; ?>" />
	<?php }	?>
	
	<?php 
	if($city == ''){
	    $more_info .= '<label for="city">'._AT('city').'</label>:<br /> <input type="text" value="" size="20" name="od_bill_city" id="city" /><br />';
	}else{ ?>
		<input type="hidden"  name="od_bill_city" value="<?php echo $city; ?>" />
	<?php }	?>
	
	<?php 
	    $more_info .= '<label for="provstate">'._AT('ec_province').'</label>:<br /> 
			<select name="od_bill_state" id="provstate">	
			<optgroup label="">
			<option value="--">--choose--</option>
			<option value="--">Outside U.S./Canada</option>
			</optgroup>

			<optgroup label="U.S. States">						
			<option value="AL">Alabama</option>						
			<option value="AK">Alaska</option>						
			<option value="AS">American Samoa</option>
			<option value="AZ">Arizona</option>						
			<option value="AR">Arkansas</option>						
			<option value="CA">California</option>						
			<option value="CO">Colorado</option>					
			<option value="CT">Connecticut</option>						
			<option value="DE">Delaware</option>						
			<option value="DC">District of Columbia</option>						
			<option value="FM">Federated States of Micronesia</option>						
			<option value="FL">Florida</option>						
			<option value="GA">Georgia</option>						
			<option value="GU">Guam</option>						
			<option value="HI">Hawaii</option>						
			<option value="ID">Idaho</option>						
			<option value="IL">Illinois</option>						
			<option value="IN">Indiana</option>						
			<option value="IA">Iowa</option>						
			<option value="KS">Kansas</option>						
			<option value="KY">Kentucky</option>						
			<option value="LA">Louisiana</option>						
			<option value="ME">Maine</option>						
			<option value="MH">Marshall Islands</option>						
			<option value="MD">Maryland</option>						
			<option value="MA">Massachusetts</option>						
			<option value="MI">Michigan</option>						
			<option value="MN">Minnesota</option>						
			<option value="MS">Mississippi</option>						
			<option value="MO">Missouri</option>						
			<option value="MT">Montana</option>						
			<option value="NE">Nebraska</option>						
			<option value="NV">Nevada</option>						
			<option value="NH">New Hampshire</option>						
			<option value="NJ">New Jersey</option>						
			<option value="NM">New Mexico</option>						
			<option value="NY">New York</option>						
			<option value="NC">North Carolina</option>						
			<option value="ND">North Dakota</option>
			<option value="MP">Northern Mariana Islands</option>
			<option value="OH">Ohio</option>
			<option value="OK">Oklahoma</option>						
			<option value="OR">Oregon</option>						
			<option value="Z1">Other</option>						
			<option value="PW">Palau</option>						
			<option value="PA">Pennsylvania</option>						
			<option value="PR">Puerto Rico</option>						
			<option value="RI">Rhode Island</option>						
			<option value="SC">South Carolina</option>						
			<option value="SD">South Dakota</option>						
			<option value="TN">Tennessee</option>						
			<option value="TX">Texas</option>						
			<option value="UT">Utah</option>						
			<option value="VT">Vermont</option>
			<option value="VI">Virgin Islands</option>
			<option value="VA">Virginia</option>						
			<option value="WA">Washington</option>						
			<option value="WV">West Virginia</option>						
			<option value="WI">Wisconsin</option>						
			<option value="WY">Wyoming</option>
			</optgroup>
			<optgroup label="Canadian Provinces">
			<option value="AB">Alberta</option>						
			<option value="BC">British Columbia</option>						
			<option value="MB">Manitoba</option>						
			<option value="NB">New Brunswick</option>
			<option value="NL">Newfoundland and Labrador</option>						
			<option value="NT">Northwest Territories</option>						
			<option value="NS">Nova Scotia</option>						
			<option value="NU">Nunavut</option>						
			<option value="ON">Ontario</option>						
			<option value="Z2">Other</option>						
			<option value="PE">Prince Edward Island</option>						
			<option value="QC">Quebec</option>						
			<option value="SK">Saskatchewan</option>						
			<option value="YT">Yukon</option>
			</optgroup>	
			</select><br />';
	    
		?>

	<?php 
	if($postal == ''){
	    $more_info .= '<label for="postal">'._AT('ec_postal').'</label>:<br /> <input type="text" value="" size="20" name="od_bill_zipcode" id="postal" /><br />';
	}else{ ?>
		<input type="hidden"  name="od_bill_zipcode" value="<?php echo $postal; ?>" />
	<?php }	?>
	
	<?php 
	if($telephone == ''){
	    $more_info .= '<label for="telephone">'._AT('ec_telephone').'</label>:<br /> <input type="text" value="" size="20" name="od_bill_phone" id="telephone" /><br />';
	}else{ ?>
		<input type="hidden"  name="od_bill_phone" value="<?php echo $telephone; ?>" />
	<?php }	?>

	<?php 
	    $more_info .= '<label for="country">Country</label>:<br /> 
	    <select name="od_bill_country" id="country">
			<option value="">--choose--</option>
			<option value="US">United States of America</option>
			<option value="">--</option>
			<option value="AF">Afghanistan</option>
			<option value="AL">Albania</option>
			<option value="DZ">Algeria</option>
			<option value="AS">American Samoa</option>
			<option value="AD">Andorra</option>
			<option value="AG">Angola</option>
			<option value="AI">Anguilla</option>
			<option value="AG">Antigua &amp; Barbuda</option>
			<option value="AR">Argentina</option>
			<option value="AA">Armenia</option>
			<option value="AW">Aruba</option>
			<option value="AU">Australia</option>
			<option value="AT">Austria</option>
			<option value="AZ">Azerbaijan</option>
			<option value="BS">Bahamas</option>
			<option value="BH">Bahrain</option>
			<option value="BD">Bangladesh</option>
			<option value="BB">Barbados</option>
			<option value="BY">Belarus</option>
			<option value="BE">Belgium</option>
			<option value="BZ">Belize</option>
			<option value="BJ">Benin</option>
			<option value="BM">Bermuda</option>
			<option value="BT">Bhutan</option>
			<option value="BO">Bolivia</option>
			<option value="BL">Bonaire</option>
			<option value="BA">Bosnia &amp; Herzegovina</option>
			<option value="BW">Botswana</option>
			<option value="BR">Brazil</option>
			<option value="BC">British Indian Ocean Ter</option>
			<option value="BN">Brunei</option>
			<option value="BG">Bulgaria</option>
			<option value="BF">Burkina Faso</option>
			<option value="BI">Burundi</option>
			<option value="KH">Cambodia</option>
			<option value="CM">Cameroon</option>
			<option value="CA">Canada</option>
			<option value="IC">Canary Islands</option>
			<option value="CV">Cape Verde</option>
			<option value="KY">Cayman Islands</option>
			<option value="CF">Central African Republic</option>
			<option value="TD">Chad</option>
			<option value="CD">Channel Islands</option>
			<option value="CL">Chile</option>
			<option value="CN">China</option>
			<option value="CI">Christmas Island</option>
			<option value="CS">Cocos Island</option>
			<option value="CO">Colombia</option>
			<option value="CC">Comoros</option>
			<option value="CG">Congo</option>
			<option value="CK">Cook Islands</option>
			<option value="CR">Costa Rica</option>
			<option value="CT">Cote D\'Ivoire</option>
			<option value="HR">Croatia</option>
			<option value="CU">Cuba</option>
			<option value="CB">Curacao</option>
			<option value="CY">Cyprus</option>
			<option value="CZ">Czech Republic</option>
			<option value="DK">Denmark</option>
			<option value="DJ">Djibouti</option>
			<option value="DM">Dominica</option>
			<option value="DO">Dominican Republic</option>
			<option value="TM">East Timor</option>
			<option value="EC">Ecuador</option>
			<option value="EG">Egypt</option>
			<option value="SV">El Salvador</option>
			<option value="GQ">Equatorial Guinea</option>
			<option value="ER">Eritrea</option>
			<option value="EE">Estonia</option>
			<option value="ET">Ethiopia</option>
			<option value="FA">Falkland Islands</option>
			<option value="FO">Faroe Islands</option>
			<option value="FJ">Fiji</option>
			<option value="FI">Finland</option>
			<option value="FR">France</option>
			<option value="GF">French Guiana</option>
			<option value="PF">French Polynesia</option>
			<option value="FS">French Southern Ter</option>
			<option value="GA">Gabon</option>
			<option value="GM">Gambia</option>
			<option value="GE">Georgia</option>
			<option value="DE">Germany</option>
			<option value="GH">Ghana</option>
			<option value="GI">Gibraltar</option>
			<option value="GB">Great Britain</option>
			<option value="GR">Greece</option>
			<option value="GL">Greenland</option>
			<option value="GD">Grenada</option>
			<option value="GP">Guadeloupe</option>
			<option value="GU">Guam</option>
			<option value="GT">Guatemala</option>
			<option value="GN">Guinea</option>
			<option value="GY">Guyana</option>
			<option value="HT">Haiti</option>
			<option value="HW">Hawaii</option>
			<option value="HN">Honduras</option>
			<option value="HK">Hong Kong</option>
			<option value="HU">Hungary</option>
			<option value="IS">Iceland</option>
			<option value="IN">India</option>
			<option value="ID">Indonesia</option>
			<option value="IA">Iran</option>
			<option value="IQ">Iraq</option>
			<option value="IR">Ireland</option>
			<option value="IM">Isle of Man</option>
			<option value="IL">Israel</option>
			<option value="IT">Italy</option>
			<option value="JM">Jamaica</option>
			<option value="JP">Japan</option>
			<option value="JO">Jordan</option>
			<option value="KZ">Kazakhstan</option>
			<option value="KE">Kenya</option>
			<option value="KI">Kiribati</option>
			<option value="NK">Korea North</option>
			<option value="KS">Korea South</option>
			<option value="KW">Kuwait</option>
			<option value="KG">Kyrgyzstan</option>
			<option value="LA">Laos</option>
			<option value="LV">Latvia</option>
			<option value="LB">Lebanon</option>
			<option value="LS">Lesotho</option>
			<option value="LR">Liberia</option>
			<option value="LY">Libya</option>
			<option value="LI">Liechtenstein</option>
			<option value="LT">Lithuania</option>
			<option value="LU">Luxembourg</option>
			<option value="MO">Macau</option>
			<option value="MK">Macedonia</option>
			<option value="MG">Madagascar</option>
			<option value="MY">Malaysia</option>
			<option value="MW">Malawi</option>
			<option value="MV">Maldives</option>
			<option value="ML">Mali</option>
			<option value="MT">Malta</option>
			<option value="MH">Marshall Islands</option>
			<option value="MQ">Martinique</option>
			<option value="MR">Mauritania</option>
			<option value="MU">Mauritius</option>
			<option value="ME">Mayotte</option>
			<option value="MX">Mexico</option>
			<option value="MI">Midway Islands</option>
			<option value="MD">Moldova</option>
			<option value="MC">Monaco</option>
			<option value="MN">Mongolia</option>
			<option value="MS">Montserrat</option>
			<option value="MA">Morocco</option>
			<option value="MZ">Mozambique</option>
			<option value="MM">Myanmar</option>
			<option value="NA">Nambia</option>
			<option value="NU">Nauru</option>
			<option value="NP">Nepal</option>
			<option value="AN">Netherland Antilles</option>
			<option value="NL">Netherlands (Holland, Europe)</option>
			<option value="NV">Nevis</option>
			<option value="NC">New Caledonia</option>
			<option value="NZ">New Zealand</option>
			<option value="NI">Nicaragua</option>
			<option value="NE">Niger</option>
			<option value="NG">Nigeria</option>
			<option value="NW">Niue</option>
			<option value="NF">Norfolk Island</option>
			<option value="NO">Norway</option>
			<option value="OM">Oman</option>
			<option value="PK">Pakistan</option>
			<option value="PW">Palau Island</option>
			<option value="PS">Palestine</option>
			<option value="PA">Panama</option>
			<option value="PG">Papua New Guinea</option>
			<option value="PY">Paraguay</option>
			<option value="PE">Peru</option>
			<option value="PH">Philippines</option>
			<option value="PO">Pitcairn Island</option>
			<option value="PL">Poland</option>
			<option value="PT">Portugal</option>
			<option value="PR">Puerto Rico</option>
			<option value="QA">Qatar</option>
			<option value="ME">Republic of Montenegro</option>
			<option value="RS">Republic of Serbia</option>
			<option value="RE">Reunion</option>
			<option value="RO">Romania</option>
			<option value="RU">Russia</option>
			<option value="RW">Rwanda</option>
			<option value="NT">St Barthelemy</option>
			<option value="EU">St Eustatius</option>
			<option value="HE">St Helena</option>
			<option value="KN">St Kitts-Nevis</option>
			<option value="LC">St Lucia</option>
			<option value="MB">St Maarten</option>
			<option value="PM">St Pierre &amp; Miquelon</option>
			<option value="VC">St Vincent &amp; Grenadines</option>
			<option value="SP">Saipan</option>
			<option value="SO">Samoa</option>
			<option value="AS">Samoa American</option>
			<option value="SM">San Marino</option>
			<option value="ST">Sao Tome &amp; Principe</option>
			<option value="SA">Saudi Arabia</option>
			<option value="SN">Senegal</option>
			<option value="SC">Seychelles</option>
			<option value="SL">Sierra Leone</option>break;
			<option value="SG">Singapore</option>
			<option value="SK">Slovakia</option>
			<option value="SI">Slovenia</option>
			<option value="SB">Solomon Islands</option>
			<option value="OI">Somalia</option>
			<option value="ZA">South Africa</option>
			<option value="ES">Spain</option>
			<option value="LK">Sri Lanka</option>
			<option value="SD">Sudan</option>
			<option value="SR">Suriname</option>
			<option value="SZ">Swaziland</option>
			<option value="SE">Sweden</option>
			<option value="CH">Switzerland</option>
			<option value="SY">Syria</option>
			<option value="TA">Tahiti</option>
			<option value="TW">Taiwan</option>
			<option value="TJ">Tajikistan</option>
			<option value="TZ">Tanzania</option>
			<option value="TH">Thailand</option>
			<option value="TG">Togo</option>
			<option value="TK">Tokelau</option>
			<option value="TO">Tonga</option>
			<option value="TT">Trinidad &amp; Tobago</option>
			<option value="TN">Tunisia</option>
			<option value="TR">Turkey</option>
			<option value="TU">Turkmenistan</option>
			<option value="TC">Turks &amp; Caicos Is</option>
			<option value="TV">Tuvalu</option>
			<option value="UG">Uganda</option>
			<option value="UA">Ukraine</option>
			<option value="AE">United Arab Emirates</option>
			<option value="GB">United Kingdom</option>
			<option value="UY">Uruguay</option>
			<option value="UZ">Uzbekistan</option>
			<option value="VU">Vanuatu</option>
			<option value="VS">Vatican City State</option>
			<option value="VE">Venezuela</option>
			<option value="VN">Vietnam</option>
			<option value="VB">Virgin Islands (Brit)</option>
			<option value="VA">Virgin Islands (USA)</option>
			<option value="WK">Wake Island</option>
			<option value="WF">Wallis &amp; Futana Is</option>
			<option value="YE">Yemen</option>
			<option value="ZR">Zaire</option>
			<option value="ZM">Zambia</option>
			<option value="ZW">Zimbabwe</option>
			</select><br />
	    
	    <br />';
?>
	<input type="hidden"  name="rvar_course_id" value="<?php echo $course_id; ?>" />

	<input type="hidden"  name="amount" value="<?php echo number_format($amount,2); ?>" />
	
	<input type="hidden"  name="client_email" value="<?php echo $email; ?>" />
	<?php
	if($more_info != ''){
	  echo _AT('ec_more_info_required');
	  echo $more_info;
	}
	?>
			<input type="submit" name="confirm" class="button" value="<?php echo _AT('ec_paybycredit'); ?>"/> 
			<img src="<?php echo $_base_path; ?>mods/payments/images/visa_42x27.gif" title="<?php echo _AT('ec_acceptvisa'); ?>" alt="<?php echo _AT('ec_acceptvisa'); ?>" align="middle" /> <img src="<?php echo $_base_path; ?>mods/payments/images/mc_42x27.gif" title="<?php echo _AT('ec_acceptmastercard'); ?>" alt="<?php echo _AT('ec_acceptmastercard'); ?>" align="middle" />
		</form>
		  
	</div><br style="clear:both;"/>
	<?php

	}
}

/**
* Processes response data sent from the payment gateway -
* @access  public
* @param   int $payment_id		Payment Identifier generated by ATutor  
* @param   str $transaction_id	transaction identifier from Moneris
* 
* @return  UPDATE data		Update payments and course enrolment, send email registrant & admin
*/
function approve_payment($payment_id, $transaction_id) {
	global $system_courses, $_config, $msg, $_base_href;

	if($_SESSION['payment_id'] > 0){
		if(isset($_SESSION['seats_requested'])){

			$sql = "UPDATE %spayments SET transaction_id='%s', approved='2' WHERE payment_id=%d";
			$result = queryDB($sql, array(TABLE_PREFIX, $transaction_id, $payment_id));
						
		}else{

			$sql = "UPDATE %spayments SET transaction_id='%s', approved='1' WHERE payment_id=%d";
			$result = queryDB($sql, array(TABLE_PREFIX, $transaction_id, $payment_id));
			
		}

		// get the course_id for this transaction
		$sql = "SELECT course_id, member_id FROM %spayments WHERE payment_id=%d";
		$row = queryDB($sql, array(TABLE_PREFIX, $payment_id), TRUE);

		$course_id = $row['course_id'];
		$member_id = $row['member_id'];
	
		// Update course_seats 

		if($_SESSION['seats_requested']){
				// get current number of course seats
				$sql = "SELECT * FROM %scourse_seats WHERE course_id=%d";
				$current_course_seats = queryDB($sql, array(TABLE_PREFIX, $course_id), TRUE);
				
				$new_seat_limit = ($current_course_seats['seats'] + $_SESSION['seats_requested']);

				$sql = "REPLACE into %scourse_seats (`course_id`, `seats`) VALUES (%d, %d)";
	            $result = queryDB($sql, array(TABLE_PREFIX, $course_id, $new_seat_limit));

				if($result > 0){
					$msg->addFeedback(array('SEATS_UPDATED', '<a href="'.$_base_href.'bounce.php?course='.$course_id.'">'.$system_courses[$course_id]['title'].'</a>'));
				}
				$_SESSION['course_id'] = $course_id;

		}else{ 
				// or, Update enrolment when course fees have been paid

				$sql = "SELECT * FROM %sec_course_fees WHERE course_id=%d";
				$course_fee_row = queryDB($sql, array(TABLE_PREFIX, $course_id), TRUE);
								
				if ($course_fee_row['auto_approve'] == '1'){

					$sql = "UPDATE %scourse_enrollment SET approved='y' WHERE member_id=%d AND course_id=%d";
					$result = queryDB($sql, array(TABLE_PREFIX, $member_id, $course_id));					
					if($result > 0){
					    $auto_link_login = array('EC_PAYMENT_CONFIRMED_AUTO',$course_id);
					    $msg->addFeedback($auto_link_login);
					}
					
				} else {
					$msg->addFeedback('EC_PAYMENT_CONFIRMED_MANUAL');
				}

				/// Get the course title
				$course_title  = $system_courses[$course_id]['title'];

				require(AT_INCLUDE_PATH . 'classes/phpmailer/atutormailer.class.php');
				// If auto email when payment is made, send an email to the instructor (maybe this should be an admin option)
				if ($course_fee_row['auto_email']) {

					/// Get the instructor's email address

					$sql = "SELECT email FROM %smembers WHERE member_id=%d";
					$row = queryDB($sql, array(TABLE_PREFIX, $system_courses[$course_id]['member_id']), TRUE);

					$instructor_email = $row['email'];	
			
					$mail = new ATutorMailer;
					$mail->From     = $_config['contact_email'];
					$mail->AddAddress($instructor_email);
					$mail->Subject = _AT('ec_payment_made'); 
					$mail->Body    = _AT('ec_payment_mail_instruction', $course_title);
			
					if(!$mail->Send()) {
						$msg->printErrors('SENDING_ERROR');
						return;
					}
					$mail->ClearAddresses();
				}

				if ($_config['ec_email_admin']) {
					/// Email Administrator  if set
					if ($_config['ec_email_admin']){
						if ($_config['ec_contact_email']){
							$contact_admin_email = $_config['ec_contact_email'];
						} else {
							$contact_admin_email = $_config['contact_email'];
						}
						$mail = new ATutorMailer;
						$mail->From     = $_config['contact_email'];
						$mail->AddAddress($contact_admin_email);
						$mail->Subject = _AT('ec_payment_made'); 
						$mail->Body    = _AT('ec_admin_payment_mail_instruction', $course_title);
			
						if (!$mail->Send()) {
							$msg->printErrors('SENDING_ERROR');
							return;
						}
					}
				}
			}
		}else{
			header("Location:".$_base_href."mods/payments/index.php");
		}
}  /// END OF APPROVE PAYMENT

function check_payment_print_form($payment_id, $amount, $course_id){
	global $db, $system_courses, $_config, $payment_id;

	if (!$_config['ec_contact_address']) {
		return;
	}
	echo _AT('or');
	?>
		<form  method="GET">
			<input type="hidden"  name="Amount1" value="<?php echo $amount; ?>">
			<input type="hidden"  name="payment_id" value="<?php echo $payment_id; ?>">
			<input class="button" type="submit" name="bycheque" value="<?php echo _AT('ec_paybycheque'); ?>" onclick="window.open('mods/payments/invoice.php?payment_id=<?php echo $payment_id.SEP; ?>course_title=<?php echo $system_courses[$course_id]['title'].SEP; ?>amount=<?php echo $amount; ?>','invwindow','height=425px, width=520px'); return false" /> 
		</form><br/><br />
	<?php 
}


function log_paypal_ipn_requests($status) {
	global $_config;

	if (!$_config['ec_store_log'] || !$_config['ec_log_file']){
		return;
	}

	$fp = fopen($_config['ec_log_file'], 'a+');
	if (!$fp) { return; }
	$data = date('Y-m-d H:i:s'). ' ' . $status .': '. print_r($_POST, true) . PHP_EOL;
	fwrite($fp, $data);
	fclose($fp);
}

/**
* Log response data sent from the payment gateway -
* @access  public 
* @param   str $trans_id	transaction identifier from payment gateway 
* @return  write data		Writes POST data from a payment gateway transaction to a writable text file
*/
function log_requests($trans_id) {
	global $_config;

	if (!$_config['ec_store_log'] || !$_config['ec_log_file']){
		return;
	}

	$fp = fopen($_config['ec_log_file'], 'a+');
	if (!$fp) { return; }
	$data = date('Y-m-d H:i:s'). ' ' . $trans_id .': '. print_r($_POST, true) . PHP_EOL;
	fwrite($fp, $data);
	fclose($fp);
}

?>